EUlabel
API Reference

Suppliers

Register and manage economic operators.

Register and manage economic operators.

Create a supplier

POST
/suppliers

Authorization

bearerAuth
AuthorizationBearer <token>

API key authentication. Pass your key in the Authorization header: Authorization: Bearer sk_live_...

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://api.eulabel.eu/v1/suppliers" \  -H "Content-Type: application/json" \  -d '{    "name": "Quinta do Crasto, S.A.",    "country": "PT",    "role": "producer",    "vatNumber": "PT500123456"  }'
{
  "supplierId": "sup_sogrape001",
  "name": "Quinta do Crasto, S.A.",
  "createdAt": "2026-03-14T20:00:00.000Z"
}
{
  "error": {
    "type": "authentication_error",
    "message": "Invalid API key",
    "code": "authentication_error"
  }
}
{
  "error": {
    "type": "validation_error",
    "message": "gtin is required",
    "code": "validation_error",
    "param": "gtin"
  }
}